package xyz.wbsite.frame.provider;

import xyz.wbsite.frame.base.DictEntity;

import javax.validation.constraints.NotNull;
import java.util.List;

public interface DictProvider {

    List<DictEntity> getDict(@NotNull String dictName);

    boolean isExist(@NotNull String dictName);

    boolean isExistValue(@NotNull String dictName, @NotNull String dictKey);
}
